ia64/xen-unstable

changeset 9951:7801e09f518c

Fix python pciif script to reference correct 2.0 compatibility variable.

In the Xen 2.0.x compatibility section of xend (where we try to parse
the s-expressions if they came from an SXP configuration file for Xen
2.0.x), the wrong variable is referenced. This fix corrects the python
script to use the correct variable.

Thanks to Mike Wright for reporting this.

Signed-off-by: Ryan Wilson <hap9@epoch.ncsc.mil>
author kaf24@firebug.cl.cam.ac.uk
date Fri May 05 14:01:43 2006 +0100 (2006-05-05)
parents f07676d5c3ab
children 0c586a81d941
files tools/python/xen/xend/server/pciif.py
line diff
     1.1 --- a/tools/python/xen/xend/server/pciif.py	Fri May 05 13:59:17 2006 +0100
     1.2 +++ b/tools/python/xen/xend/server/pciif.py	Fri May 05 14:01:43 2006 +0100
     1.3 @@ -94,7 +94,7 @@ class PciController(DevController):
     1.4  
     1.5          else:
     1.6              # Xen 2.0 configuration compatibility
     1.7 -            domain = get_param(dev_config, 'domain', 0)
     1.8 +            domain = get_param(config, 'domain', 0)
     1.9              bus  = get_param(config, 'bus')
    1.10              slot = get_param(config, 'dev')
    1.11              func = get_param(config, 'func')